<?php

namespace App\Models\Shop;

use Illuminate\Database\Eloquent\Model;

class PriceGenericCategory extends Model
{
    protected $guarded = ['id'];
    protected $table = 'shop_price_generic_categories';

    public function article_family()
    {
        return $this->belongsTo(ArticleNature::class);
    }

    public function price_generics()
    {
        return $this->hasMany(PriceGeneric::class, 'category_id');
    }
}
